Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.core.support
Class AnnotationRepositoryMetadata

    java.lang.Object
      org.springframework.data.repository.core.support.AnnotationRepositoryMetadata

All Implemented Interfaces:
  RepositoryMetadata

    public class AnnotationRepositoryMetadata

extends Object
implements RepositoryMetadata

`RepositoryMetadata` implementation inspecting the given repository interface for a `RepositoryDefinition` annotation.

Author:
  Oliver Gierke

Constructor Summary
`AnnotationRepositoryMetadata(Class<?> repositoryInterface)`

Method Summary
`Class<?>` | `getDomainClass()` Returns the domain class the repository is declared for.
`Class<?>` | `getIdClass()` Returns the id class the given class is declared for.
`Class<?>` | `getRepositoryInterface()` Returns the repository interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationRepositoryMetadata

    public AnnotationRepositoryMetadata(Class<?> repositoryInterface)

Method Detail

### getIdClass

    public Class<?> getIdClass()

  Description copied from interface: `RepositoryMetadata`
  Returns the id class the given class is declared for.

  Specified by:
    `getIdClass` in interface `RepositoryMetadata`
  Returns:
    the id class of the entity managed by the repository for or `null` if none found.

### getDomainClass

    public Class<?> getDomainClass()

  Description copied from interface: `RepositoryMetadata`
  Returns the domain class the repository is declared for.

  Specified by:
    `getDomainClass` in interface `RepositoryMetadata`
  Returns:
    the domain class the repository is handling or `null` if none found.

### getRepositoryInterface

    public Class<?> getRepositoryInterface()

  Description copied from interface: `RepositoryMetadata`
  Returns the repository interface.

  Specified by:
    `getRepositoryInterface` in interface `RepositoryMetadata`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.